package com.zjrs.zwnw.psam.po;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
/**
* @author liangxiudong
* @since 2021-04-07
*/
@TableName("RS_PSAM_LOG")
@ApiModel(value="RsPsamLogPO对象", description="PSAM卡操作日志表")
public class RsPsamLogPO {
    @ApiModelProperty(value = "PSAM卡操作日志表流水号")
    @TableId(value = "RS_PSAM_LOG_LSH", type = IdType.ASSIGN_UUID)
    private String rsPsamLogLsh;

    @ApiModelProperty(value = "PSAM卡入库信息表流水号")
    @TableField("RS_PSAM_RKXXB_LSH")
    private String rsPsamRkxxbLsh;

    @ApiModelProperty(value = "原卡状态")
    @TableField("YKZT")
    private String ykzt;

    @ApiModelProperty(value = "现卡状态")
    @TableField("KZT")
    private String kzt;

    @ApiModelProperty(value = "批次号")
    @TableField("RS_PSAM_PCH")
    private String rsPsamPch;

    @ApiModelProperty(value = "操作类型")
    @TableField("CZLX")
    private String czlx;

    @ApiModelProperty(value = "操作原因")
    @TableField("CZYY")
    private String czyy;

    @ApiModelProperty(value = "创建人")
    @TableField("CJR")
    private String cjr;

    @ApiModelProperty(value = "创建时间")
    @TableField("CJSJ")
    private String cjsj;

    public String getRsPsamLogLsh() {
        return rsPsamLogLsh;
    }

    public void setRsPsamLogLsh(String rsPsamLogLsh) {
        this.rsPsamLogLsh = rsPsamLogLsh;
    }

    public String getRsPsamRkxxbLsh() {
        return rsPsamRkxxbLsh;
    }

    public void setRsPsamRkxxbLsh(String rsPsamRkxxbLsh) {
        this.rsPsamRkxxbLsh = rsPsamRkxxbLsh;
    }

    public String getCzlx() {
        return czlx;
    }

    public void setCzlx(String czlx) {
        this.czlx = czlx;
    }

    public String getCzyy() {
        return czyy;
    }

    public void setCzyy(String czyy) {
        this.czyy = czyy;
    }

    public String getCjr() {
        return cjr;
    }

    public void setCjr(String cjr) {
        this.cjr = cjr;
    }

    public String getCjsj() {
        return cjsj;
    }

    public void setCjsj(String cjsj) {
        this.cjsj = cjsj;
    }

    public String getYkzt() {
        return ykzt;
    }

    public void setYkzt(String ykzt) {
        this.ykzt = ykzt;
    }

    public String getRsPsamPch() {
        return rsPsamPch;
    }

    public void setRsPsamPch(String rsPsamPch) {
        this.rsPsamPch = rsPsamPch;
    }

    public String getKzt() {
        return kzt;
    }

    public void setKzt(String kzt) {
        this.kzt = kzt;
    }
}
